RIoT.DeviceAuthBundle (DiceRIoTEmulator 1.0 API)
Date: 2017-11-08

com.microsoft.msr.RiotEmulator

## Class RIoT.DeviceAuthBundle

- java.lang.Object
- - com.microsoft.msr.RiotEmulator.RIoT.DeviceAuthBundle

- Enclosing class:
    RIoT

      public static class RIoT.DeviceAuthBundle
      extends Object

  Container for PEM-encoded keys and certificates created by the RIoT Emulator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `X509Certificate` | `AliasCert` Certificate signed by the DeviceID key encoding the public DeviceID and the FWID
    `String` | `AliasCertPem` PEM-encoded certificate signed by the DeviceID key encoding the public DeviceID and the FWID
    `PrivateKey` | `AliasPrivateKey` Private portion of the Alias Key
    `String` | `AliasPrivateKeyPem` PEM-encoded private portion of the Alias Key
    `PublicKey` | `AliasPublicKey` Public portion of the Alias Key
    `String` | `AliasPublicKeyPem` PEM-encoded public portion of the Alias Key
    `X509Certificate` | `DeviceIDCert` Self-signed DeviceID certificate
    `String` | `DeviceIDCertPem` PEM-encoded self-signed DeviceID certificate
    `String` | `DeviceIDCSR` PEM-encoded self-signed Certificate Signing Request (CSR) for the DeviceID (may be used to obtain a certificate from the device vendor PKI)
    `PublicKey` | `DeviceIDPublic` Public portion of the DeviceID key
    `String` | `DeviceIDPublicPem` PEM-encoded public DeviceID key
    `X509Certificate` | `LeafCert` Certificate signed by the "root" key for "proof of posession"
    `String` | `LeafCertPem` PEM-encoded certificate signed signed by the "root" key for "proof of posession"
    `X509Certificate` | `RootCert` Self-signed "root" certificate
    `String` | `RootCertPem` PEM-encoded self-signed "root" certificate
    `PrivateKey` | `RootPrivateKey` Private portion of the "root" CA Key
    `String` | `RootPrivateKeyPem` PEM-encoded private portion of the "root" CA Key
    `PublicKey` | `RootPublicKey` Public portion of the "root" CA Key
    `String` | `RootPublicKeyPem` PEM-encoded public portion of the "root" CA Key

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceAuthBundle()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RootPublicKey

          public PublicKey RootPublicKey

      Public portion of the "root" CA Key

    - #### RootPublicKeyPem

          public String RootPublicKeyPem

      PEM-encoded public portion of the "root" CA Key

    - #### RootPrivateKey

          public PrivateKey RootPrivateKey

      Private portion of the "root" CA Key

    - #### RootPrivateKeyPem

          public String RootPrivateKeyPem

      PEM-encoded private portion of the "root" CA Key

    - #### RootCert

          public X509Certificate RootCert

      Self-signed "root" certificate

    - #### RootCertPem

          public String RootCertPem

      PEM-encoded self-signed "root" certificate

    - #### DeviceIDPublic

          public PublicKey DeviceIDPublic

      Public portion of the DeviceID key

    - #### DeviceIDPublicPem

          public String DeviceIDPublicPem

      PEM-encoded public DeviceID key

    - #### DeviceIDCert

          public X509Certificate DeviceIDCert

      Self-signed DeviceID certificate

    - #### DeviceIDCertPem

          public String DeviceIDCertPem

      PEM-encoded self-signed DeviceID certificate

    - #### DeviceIDCSR

          public String DeviceIDCSR

      PEM-encoded self-signed Certificate Signing Request (CSR) for the DeviceID (may be used to obtain a certificate from the device vendor PKI)

    - #### AliasPublicKey

          public PublicKey AliasPublicKey

      Public portion of the Alias Key

    - #### AliasPublicKeyPem

          public String AliasPublicKeyPem

      PEM-encoded public portion of the Alias Key

    - #### AliasPrivateKey

          public PrivateKey AliasPrivateKey

      Private portion of the Alias Key

    - #### AliasPrivateKeyPem

          public String AliasPrivateKeyPem

      PEM-encoded private portion of the Alias Key

    - #### AliasCert

          public X509Certificate AliasCert

      Certificate signed by the DeviceID key encoding the public DeviceID and the FWID

    - #### AliasCertPem

          public String AliasCertPem

      PEM-encoded certificate signed by the DeviceID key encoding the public DeviceID and the FWID

    - #### LeafCert

          public X509Certificate LeafCert

      Certificate signed by the "root" key for "proof of posession"

    - #### LeafCertPem

          public String LeafCertPem

      PEM-encoded certificate signed signed by the "root" key for "proof of posession"

  - ### Constructor Detail

    - #### DeviceAuthBundle

          public DeviceAuthBundle()

Copyright © 2017. All rights reserved.